Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.extensions
Class RepeatedTest

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.extensions.TestDecorator
                  |
                  +--junit.extensions.RepeatedTest

public class RepeatedTest
extends TestDecorator

A Decorator that runs a test repeatedly.

Fields inherited from class junit.extensions.TestDecorator
`fTest`

Constructor Summary
`RepeatedTest(Test test, int repeat)`

Method Summary
`int` | `countTestCases()` Counts the number of test cases that will be run by this test.
`void` | `run(TestResult result)` Runs a test and collects its result in a TestResult instance.
`java.lang.String` | `toString()`

Methods inherited from class junit.extensions.TestDecorator
`basicRun, getTest`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RepeatedTest

    public RepeatedTest(Test test,
                        int repeat)

Method Detail

### countTestCases

    public int countTestCases()

  Description copied from interface: Test
  Counts the number of test cases that will be run by this test.
  Overrides:
    countTestCases in class TestDecorator

### run

    public void run(TestResult result)

  Description copied from interface: Test
  Runs a test and collects its result in a TestResult instance.
  Overrides:
    run in class TestDecorator

### toString

    public java.lang.String toString()

  Overrides:
    toString in class TestDecorator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD